mempool_destroy
Prev | More Memory Management Functions | Next

## Name

mempool_destroy — deallocate a memory pool

## Synopsis

`void mempool_destroy (` | mempool_t * | pool`)`;

## Arguments

`pool`

  pointer to the memory pool which was allocated via `mempool_create`.

## Description

this function only sleeps if the `free_fn` function sleeps. The caller has to guarantee that all elements have been returned to the pool (ie: freed) prior to calling `mempool_destroy`.

Prev | Up | Next
mempool_resize | Home | mempool_alloc